#
# spec file for package perl-IO-Tty
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Tty
Version:        1.12
Release:        lp151.2.2
%define cpan_name IO-Tty
Summary:        Low-level allocate a pseudo-Tty, import constants.
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Tty/
Source:         http://www.cpan.org/authors/id/T/TO/TODDR/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'IO::Tty' is used internally by 'IO::Pty' to create a pseudo-tty. You
wouldn't want to use it directly except to import constants, use 'IO::Pty'.
For a list of importable constants, see the IO::Tty::Constant manpage.

Windows is now supported, but ONLY under the Cygwin environment, see the
http://sources.redhat.com/cygwin/ manpage.

Please note that pty creation is very system-dependend. From my experience,
any modern POSIX system should be fine. Find below a list of systems that
'IO::Tty' should work on. A more detailed table (which is slowly getting
out-of-date) is available from the project pages document manager at
SourceForge the http://sourceforge.net/projects/expectperl/ manpage.

If you have problems on your system and your system is listed in the
"verified" list, you probably have some non-standard setup, e.g. you
compiled your Linux-kernel yourself and disabled ptys (bummer!). Please ask
your friendly sysadmin for help.

If your system is not listed, unpack the latest version of 'IO::Tty', do a
''perl Makefile.PL; make; make test; uname -a'' and send me
(_RGiersig@cpan.org_) the results and I'll see what I can deduce from that.
There are chances that it will work right out-of-the-box...

If it's working on your system, please send me a short note with details
(version number, distribution, etc. 'uname -a' and 'perl -V' is a good
start; also, the output from "perl Makefile.PL" contains a lot of
interesting info, so please include that as well) so I can get an overview.
Thanks!

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README try

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-IO-Tty/ChangeLog
  2014-09-12 Todd Rinaldo <toddr@cpan.org> 1.12
  * Merge pull request from Chris Williams (bingos) to fix "redefinition of typedef" errors with v5.19.4 and above
  2014-05-05 Todd Rinaldo <toddr@cpan.org>
  * Release 1.11 to CPAN with explicit dropping of support for Win32 (we never supported it) - RT 77813
  * Bump version to a devel release 1.11_01 for experimental work.
  * Fix typo in compilter - RT 75649
  * Add support for PERL_MM_OPT
* Thu Mar 31 2011 coolo@novell.com
- update to 1.10
  * CPAN testers clean. Bumping to release version 1.10
  * RT 60788 - Better error reporting on Operating Systems
    that can't set a controlling terminal e.g. BeOS
  * CPAN testers looks clean. Internal testing done on perl 5.6
  * Bump version to 1.09 and release to CPAN
  * RT 61642 - Fix file number test to work without hang on cygwin
  * Update all versions to the new version
  * RT 45008 - only try TIOCSCTTY if we don't have a ctty
  * RT 53883 - IO::Tty detection on BeOS w/fix
  * RT 60014 - better META.yml by modernizing Makefile.PL
  * RT 44771 - Add _ to list of escape characters for compiler
    so it'll compile on windows This is experimental pending a
    successful dev release
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
* Sun Aug 30 2009 lars@linux-schulserver.de
- follow perl packaging guidelines
* Mon Jul 27 2009 mc@novell.com
- Version 1.08
  * Makefile.PL, Tty.xs: added support for posix_openpt()
* Tue Sep 19 2006 mc@suse.de
- Version 1.07
  * Tty.pm: pre-allocate buffer for ioctl
  * Tty.xs: added some more letter to BSD allocation
* Fri Jul 14 2006 mc@suse.de
- Version 1.05
  - changed newCONSTSUB to use newSV(0) instead of PL_sv_undef,
    now undef'd constants work
  - added handling for z/OS (uses /dev/ptyp0000)
  - some bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 mc@suse.de
- add make test
- add vendorarch changes
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Mon May 19 2003 mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Apr  5 2002 mc@suse.de
- switch to version 1.02
- removed alpha compile fix - not longer needed
- redesign of Tty.xs
- added test
- Pty.pm (spawn): rearranged setsid() and added a fresh open of
  the slave pty so the pty becomes the controlling terminal for the
  process.
- Makefile.PL: added tests for all kinds of functions and clone
  devices.
- Makefile.PL: added setting of CONFIG var
- Makefile.PL: added analysis of configuration
- Makefile.PL: fixed checks; test problematic constants with a compile.
- Makefile.PL: auto-create IO::Tty::Constant
- updated docs
* Mon Jan 28 2002 garloff@suse.de
- Compile fix for alpha.
* Wed Nov  7 2001 mc@suse.de
- switch to verion 0.05
- slave now is set to be a controlling tty if possible;
  it also remembers it's name now.
- on SCO, the slave pts* are in the /dev dir, not /dev/pts
- added test for libutil.h, util.h, pty.h and openpty()
- added symbol TIOCSCTTY
- some SVR4 only define __SVR4; fixed.
- OSF machines need termio.h for various macros
- AIX doesn't define VOIDSIG; fixed.
- Cygwin can use /dev/ptmx even though that file doesn't exist.
- moved docu over from Pty.pm to lessen confusion Pty <-> Tty
- added verified systems list
* Thu Jun 21 2001 mc@suse.de
- fixed the specfile. Used more RPM macros.
* Tue Feb 13 2001 mc@suse.de
- fixed the specfile
* Thu Feb  8 2001 mc@suse.de
- first package, v0.04
